var GlobalFun = {}; //存放全局方法

// radio、checkBox美化
$(".radio input").on('click', function() {
    var that = $(this);
    var inputName = that.attr('name');
    that.parents('body').find('input[name=' + inputName + ']').prop('checked', false);
    that.prop('checked', true);
    that.parents('body').find('input[name=' + inputName + ']').siblings('.radio-on').removeClass('choosed');
    that.siblings('.radio-on').addClass('choosed');
    if (that.parents('.addressBox') && that.parents('.addressBox').length > 0) {
        that.parents('li').addClass('cur');
        that.parents('li').siblings('li').removeClass('cur')
    }

})
$(".checkBox input").on('click', function() {
    var that = $(this);
    that.next('check-on').toggleClass('choosed');
})


// 详情分享 hover效果
$(".detail_share").hover(function() {
    $(".detail_share p").fadeIn();
}, function() {
    $(".detail_share p").fadeOut();
})


/**
 * 普通弹出层，用于各类用户操作类弹出层
 *
 * @param    {title}  String  弹出层标题
 * @param    {btns}  Array 按钮名称
 * @param    {contdiv}  String 内容容器，一般为#id
 * @param    {width}  String 弹出层宽度
 * @param    {yes}  Obj 按钮回调方案，第一个yes:function(){},第二个btn2: function(){}，以此类推
 * @param    {btn2}  Obj 按钮回调方案，第二个btn2: function(){}
 */
GlobalFun.layerFun = function(title, btns, contdiv, width, yes, btn2) {
    // console.log(title);
    layer.open({
        type: 1,
        zIndex: 100,
        title: title,
        btn: btns,
        shadeClose: true,
        content: $(contdiv),
        area: [width, ''],
        btnAlign: 'c',
        yes: yes,
        btn2: btn2,
    })
}

/**
 * 普通弹出层 自定义宽高，用于各类用户操作类弹出层
 *
 * @param    {title}  String  弹出层标题
 * @param    {btns}  Array 按钮名称
 * @param    {contdiv}  String 内容容器，一般为#id
 * @param    {widthHeight}  Array 弹出层宽高
 * @param    {yes}  Obj 按钮回调方案，第一个yes:function(){},第二个btn2: function(){}，以此类推
 * @param    {btn2}  Obj 按钮回调方案，第二个btn2: function(){}
 */
GlobalFun.layerFunH = function(title, btns, contdiv, widthHeight, yes, btn2) {
    // console.log(title);
    layer.open({
        type: 1,
        title: title,
        btn: btns,
        shadeClose: true,
        content: $(contdiv),
        area: widthHeight,
        btnAlign: 'c',
        yes: yes,
        btn2: btn2
    })
}

/**
 * 提示类弹出层，多用于完成提示等无需用户操作的简单提示
 *
 * @param    {content}  String  信息弹出层内容
 * @param    {fun}  Function 弹出层返回方法
 */

GlobalFun.layerMsgFun = function(content, fun, time) {
    layer.msg(content, {
        time: time ? time : 1500 //如果不传入1.5秒关闭（如果不配置，默认是3秒）
    }, fun);
}



/**
 * tip弹出层，多用于表单验证提示
 *
 * @param    {content}  String  信息弹出层内容
 * @param    {id}  String 吸附元素选择器 #id或class
 */

GlobalFun.layerTipFun = function(content, id) {
    layer.tips(content, id, {
        tips: [2, '#189f7a']
    });
}


/**
 * tab切换
 *
 * @param    {name}  String  tab容器标识，用来明确当前tab
 * @param    {currentId}  Number  当前tab id
 * @param    {total}  Number  tab总数
 */
//操作容器
// <li id="pro1" onclick="setTab('pro',1,3)" class="hover">装货信息</li>
// <li id="pro2" onclick="setTab('pro',2,3)">卸货信息</li>
// <li id="pro3" onclick="setTab('pro',3,3)">承运方信息</li>
//显示容器
// <div id="con_pro_1" class="tabList"  style="display: block">
// <div id="con_pro_2" class="tabList"  style="display: none">
// <div id="con_pro_3" class="tabList"  style="display: none">
GlobalFun.tabSet = function(name, currentId, total) {
    for (var i = 1; i <= total; i++) {
        // 声明
        var menu = document.getElementById(name + i);
        var con = document.getElementById("con_" + name + "_" + i);
        var id = $(".hover").attr("id");
        // 操作
        menu.className = i == currentId ? "hover" : "";
        con.style.display = i == currentId ? "block" : "none";
    }
}


GlobalFun.tabSet2 = function(name, currentId, total) {
    for (i = 1; i <= total; i++) {
        var menu = document.getElementById(name + i);
        var con1 = document.getElementById("con1_" + name + "_" + i);
        var con2 = document.getElementById("con2_" + name + "_" + i);
        menu.className = i == currentId ? "t_on" : "";
        con1.style.display = i == currentId ? "block" : "none";
        con2.style.display = i == currentId ? "block" : "none";
    }
}
$(function() {
    $("#gfwx_ewm").hover(function() {
        $(this).find(".gwwx_ewm").show();
    }, function() {
        $(this).find(".gwwx_ewm").hide();
    });
    $("#gfwx_ewm1").hover(function() {
        $("#gws_da").show();
    }, function() {
        $("#gws_da").hide();
    })
})


function All_None(ToF, name) {
    if (!name)
        name = "delete";
    var trs = document.getElementsByName(name);
    for (var i = 0; i < trs.length; i++) {
        trs[i].checked = ToF;
    }
}

function _DeleteOne(action, id) {
    $.post(action, { ids: id, "_csrf": $("input[name='_csrf']").val() }, function(r) {
        if (r.status == "success")
            layer.alert("操作成功", function() {
                location.reload(true);
            });
        else
            layer.alert("操作失败");
    }, "json");
}

function _Delete(action, name, type, className) {
    if (!name)
        name = "delete";
    if (!type)
        type = "删除";
    var trs = document.getElementsByName(name);
    for (var i = 0; i < trs.length; i++) {
        if (trs[i].checked) {
            layer.open({
                type: 1,
                shadeClose: true, //点击遮罩关闭
                btn: ['确定', '取消'],
                title: ['提示', ' font-size:14px; color:#333;font-family:microsoft yahei;'],
                area: ['390px', ''],
                yes: function(index, layero) {
                    var ids = "";
                    $("input[name=" + name + "]:checked").each(function() {
                        if (ids != "")
                            ids += ","
                        ids += $(this).val();
                    });
                    $.post(action, { className: className, ids: ids, "_csrf": $("input[name='_csrf']").val() }, function(r) {
                        if (r.success)
                            GlobalFun.layerMsgFun(r.msg, function() {
                                location.reload();
                            }, 800);
                        else
                            layer.alert(r.msg);
                    }, "json");
                    layer.close(index);
                },
                content: '<table width="100%" border="0" cellpadding="0" cellspacing="0" class="b_shanchu_tab"><tbody><tr><td align="right" width="30%"><span class="t_tsimg"></span></td><td align="left" class="b_suojin_td">确定要' + type + '选择的数据吗？</td></tr></tbody></table>'

            });
            return;
        }
    }
    layer.open({
        type: 1,
        shadeClose: true, //点击遮罩关闭
        btn: ['确定'],
        title: ['提示', ' font-size:14px; color:#333;font-family:microsoft yahei;'],
        area: ['390px', ''],
        content: '<table width="100%" border="0" cellpadding="0" cellspacing="0" class="b_shanchu_tab"><tbody><tr><td align="right" width="36%"><span class="t_tsimg"></span></td><td align="left" class="b_suojin_td">请先选择再操作!</td></tr></tbody></table>'

    });
}

// nav下拉
$(".mytrade").hover(function() {
    $(this).addClass("hover").find("div.navTradeList").show();
}, function() {
    $(this).removeClass("hover").find("div.navTradeList").hide();
});